CVE-2017-14491

Heap-based buffer overflow in dnsmasq before 2.78 allows remote attackers to cause a denial of service (crash) or execute arbitrary code via a crafted DNS response.

  • OS
    Any OS
  • Version
    Any Version
  • Type
    Any Type

119 fixes found:

    Version Update

    (RHSA-2017:2838) Critical: dnsmasq security update
    Published Date:Oct 2, 2017
    Updated Date:Jun 7, 2018
    Source:Redhat6
    Affected Packages:

    dnsmasq-utils-2.48, dnsmasq-debuginfo-2.48, dnsmasq-2.48

    Version Update

    (RHSA-2017:2836) Critical: dnsmasq security update
    Published Date:Oct 2, 2017
    Updated Date:Apr 12, 2018
    Source:Redhat7
    Affected Packages:

    dnsmasq-2.76, dnsmasq-utils-2.76, dnsmasq-debuginfo-2.76

    Version Update

    (RHSA-2017:2840) Critical: dnsmasq security update
    Published Date:Oct 2, 2017
    Updated Date:Feb 9, 2018
    Source:Redhat5
    Affected Packages:

    dnsmasq-2.45, dnsmasq-debuginfo-2.45

    Version Update

    (RHSA-2017:2841) Critical: dnsmasq security update
    Published Date:Oct 2, 2017
    Updated Date:Feb 9, 2018
    Source:Redhat5
    Affected Packages:

    dnsmasq-2.45, dnsmasq-debuginfo-2.45

    Version Update

    Dnsmasq regression
    Published Date:Jan 4, 2018
    Updated Date:Jan 4, 2018
    Source:Ubuntu12.04
    Affected Packages:

    dnsmasq-2.59, dnsmasq-base-2.59, dnsmasq-utils-2.59

    Version Update

    [SECURITY] [DLA 1124-1] dnsmasq security update
    Published Date:Oct 6, 2017
    Updated Date:Oct 6, 2017
    Source:Debian7
    Affected Packages:

    dnsmasq-2.62

    Version Update

    dnsmasq security update
    Published Date:Oct 3, 2017
    Updated Date:Oct 3, 2017
    Source:Centos7
    Affected Packages:

    dnsmasq-utils-2.76, dnsmasq-2.76

    Version Update

    Dnsmasq vulnerabilities
    Published Date:Oct 3, 2017
    Updated Date:Oct 3, 2017
    Source:Ubuntu12.04
    Affected Packages:

    dnsmasq-utils-2.59, dnsmasq-2.59, dnsmasq-base-2.59